Description

The Puppet SSH
provider name given in the puppet.yml file after installation of FM 1.13.0 is incorrect, it should be puppet_proxy_ssh:

$ grep ssh /etc/foreman-proxy/settings.d/puppet.yml

puppet_proxy_ssh (run puppet over ssh)
:use_provider: puppet_proxy_puppetssh

it should be puppet_proxy_ssh instead of puppet_proxy_puppetssh

This happens if the foreman installer was excuted with parameters like
--foreman-proxy-puppetrun-provider=puppetssh

Bug#15323 describes the same issue for FM1.12 and was closed in this context

Related issues:
Is duplicate of Installer - Bug #17631: Validate realms/puppetrun providers Closed 12/12/2016

History

#1 - 10/27/2016 03:06 AM - Dominic Cleal
- Project changed from Smart Proxy to Installer

- Status changed from New to Feedback

This happens if the foreman installer was excuted with parameters like
--foreman-proxy-puppetrun-provider=puppetssh

Execute it with --foreman-proxy-puppetrun-provider=ssh then, and the resulting name should be correct. 1.12 (well, foreman_proxy 3.x) issued a
warning for this value, it was deprecated in favour of "ssh".

#2 - 10/27/2016 10:03 AM - Dirk Mayer

The execution of the forman-installer with parameter --foreman-proxy-puppetrun-provider=ssh works fine and without error. Maybe the description of
the installer options in the manual chapter 3.2.2 on the foreman website for version 1.13 needs to be updated instead.

#3 - 10/27/2016 10:19 AM - Dominic Cleal
- Subject changed from puppet.yml gives incorrect puppet_proxy_puppetssh provider name to Document valid values for puppetrun_provider
- Category set to Foreman modules

- Status changed from Feedback to New

#4 - 04/07/2017 04:51 AM - Dominic Cleal
- Is duplicate of Bug #17631: Validate realms/puppetrun providers added
#5 - 04/07/2017 04:52 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, validation (and listing of valid values in the installer's interactive mode) should be present since #17631.

05/21/2024 22


https://projects.theforeman.org/issues/17631
http://www.tcpdf.org

